Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class Order

    java.lang.Object
      org.hibernate.criterion.Order

All Implemented Interfaces:
  Serializable

    public class Order

extends Object
implements Serializable

Represents an order imposed upon a `Criteria` result set

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` | `Order(String propertyName, boolean ascending)` Constructor for Order.

Method Summary
`static Order` | `asc(String propertyName)` Ascending order
`static Order` | `desc(String propertyName)` Descending order
`Order` | `ignoreCase()`
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Order

    protected Order(String propertyName,
                    boolean ascending)

  Constructor for Order.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### ignoreCase

    public Order ignoreCase()

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Render the SQL fragment

  Throws:
    `HibernateException`

### asc

    public static Order asc(String propertyName)

  Ascending order

  Parameters:
    `propertyName` -
  Returns:
    Order

### desc

    public static Order desc(String propertyName)

  Descending order

  Parameters:
    `propertyName` -
  Returns:
    Order

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD